#ifndef EMTIMER_INTERNAL_H
#define EMTIMER_INTERNAL_H

#include <linux/kref.h>
#include <linux/hrtimer.h>

struct emtimer
{
   struct kref refcnt;
   struct hrtimer timer;
   ktime_t period;
   u32 tx_count;
   u32 overrun_count;
   u32 queue;
#ifdef MACHINE_LRC_LSP_K2
   u32 eventSize;
   u8 event[64];
#endif
   struct rcu_head rcu;
};

int __init em_send_init(void);
void __exit em_send_exit(void);

int em_send_config(const struct emtimer_config *config);
int em_send_create(struct emtimer *timer, const struct emtimer_create *arg);
int em_send(const struct emtimer *timer);

#endif
